ul.checked-list li {
    list-style-type: none;
}

.default {
    text-transform: none !important;
}

img.no-style {
    border: none !important;
    background: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
}

.no-text-transform {
    text-transform: none !important;
}

table.visible {
    border: 1px solid #fff;
    width: 100%;
}

table.visible td,
table.visible th {
    border: 1px solid #fff;
    margin: 0;
    padding: 10px 20px;
    text-align: center;
    color: #fff;
}

table.visible td {
    color: #aaa;
}

span.highlight,
span.hl {
    display: inline-block;
    padding: 0 6px;
    border: 1px solid #FF9D00;
}

span.underline,
span.u {
    border-bottom: 0.13em solid #FF9D00 !important;
    text-decoration: none;
}

.reveal .slide-number {
    opacity: 1;
}

ul.checked-list li {
    list-style-type: none;
}

ul.checked-list label {
    cursor: pointer;
}

ul.checked-list input[type=checkbox] {
    position: relative;
    top: -0.5em;
    width: 22px;
    height: 22px;
    margin-right: 14px;
}

canvas {
    background: #fff;
}

.op1 {
    opacity: 0.1;
}

.op2 {
    opacity: 0.2;
}

.op3 {
    opacity: 0.3;
}

.op4 {
    opacity: 0.4;
}

.op5 {
    opacity: 0.5;
}

.op6 {
    opacity: 0.6;
}

.op7 {
    opacity: 0.7;
}

.op8 {
    opacity: 0.8;
}

.op9 {
    opacity: 0.9;
}

.op10 {
    opacity: 0.10;
}

.no-wrap {
    white-space: nowrap;
}

.code-steps pre code {
    background: none;
}

.code-steps {
    clear: both;
    font-size: 0 !important;
    margin-bottom: 10px !important;
}

.reveal .reveal_section {
    position: relative;
}

.reveal small.caption {
    position: absolute;
    bottom: 0px;
    right: 0px;
    font-size: 0.3em;
}

.reveal .slides section .fragment.step-fade-in-then-out {
    opacity: 0;
    display: none;
}

.reveal .slides section .fragment.step-fade-in-then-out.current-fragment {
    opacity: 1;
    display: inline;
}

form p {
    position: relative;
}

[type="checkbox"] {
    position: absolute;
    left: 0;
    opacity: 0.01;
}

[type="checkbox"]+label {
    position: relative;
    padding-left: 1.3em;
    font-size: 1.05em;
    line-height: 1;
    cursor: pointer;
}


/* Aspect de la case */

[type="checkbox"]:not(:checked)+label::before,
[type="checkbox"]:checked+label::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 1.0em;
    height: 1.0em;
    border: 1px solid #aaa;
    background: #FFF;
    border-radius: .2em;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, .1), 0 0 0 rgba(203, 34, 237, .2);
    transition: all .275s;
}


/* Aspect de la coche */

[type="checkbox"]:not(:checked)+label::after,
[type="checkbox"]:checked+label::after {
    content: '✕';
    speak: never;
    /* Pour être sûr que le lecteur d'écran ne lira pas "fois" */
    position: absolute;
    top: .38em;
    left: .18em;
    font-size: 1.2em;
    color: #CB22ED;
    line-height: 0;
    transition: all .2s;
    /* Petite transition */
}


/* Aspect non cochée */

[type="checkbox"]:not(:checked)+label::after {
    opacity: 0;
    transform: scale(0) rotate(45deg);
}


/* Aspect cochée */

[type="checkbox"]:checked+label::after {
    opacity: 1;
    transform: scale(1) rotate(0);
}

ul.linone li {
    list-style-type: none;
}

.reveal h1 {
    text-shadow: 2px 2px #000;
}